Subject: Re: [PATCH v2 1/3] dt-bindings: rtc: pcf8523: add DSM pm option for battery switch-over

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 27 Jul 2020 18:30:51 +0100

On Mon, Jul 27, 2020 at 06:16:32PM +0200, Alexandre Belloni wrote:
> On 27/07/2020 17:55:50+0200, Jon Nettleton wrote:
> > > So, can we please have that discussion, it is pertinent to this patch.
> > >
> > 
> > Thinking about this some more, I believe whether or not an IOCTL
> > interface is in the works or needed is irrelevant.  This patch
> > describes the hardware and how it is designed and the topic of
> > discussion is if we need a simple boolean state, or if we need
> > something that could be used to support dynamic configuration in the
> > future.  I would rather make this decision now rather than keep
> > tacking on boolean config options, or revisit a bunch of device-tree
> > changes.
> 
> Something that would describe the hardware is a property telling whether
> the filter is present on VDD, not a property selecting DSM. The driver
> can then chose to avoid standard mode when needed.

Whether DSM needs to be enabled or not is _not_ just a function of
whether there is a filter present or not.

The requirement in the data sheet is that when the VDD supply drops
below 2.5V, it does not fall more than 0.7V/ms.  That can be
achieved many different ways, not only by adding a resistive filter
to the VDD supply to the RTC.  It could also be achieved via the design
of the power supply - for example, having a large enough reservoir
capacitor to ensure under all loads that the VDD supply will not fall
faster than 0.7V/ms.

There are many ways to meet this requirement.

Adding a DT property to indicate whether the filter is present or not
is definitely not the right approach.  Should we also add properties
for every possible solution to this problem.

	vdd-has-filter;
	psu-has-large-capacitors;
	... etc ...

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel